### Method

# RB PlaylistManager new_playlist_from_selection_data

#### Declaration [src]

    RBSource*
    rb_playlist_manager_new_playlist_from_selection_data (
      RBPlaylistManager* mgr,
      GtkSelectionData* data
    )

#### Description [src]

Creates a new playlist based on selection data from gtk. Used to implement playlist creation through drag and drop to the source list.

#### Parameters

`data`

  Type: `GtkSelectionData`

  The `GtkSelectionData` from which to create a playlist.

  The data is owned by the caller of the method.

#### Return value

Type: `RBSource`

The new playlist.

The returned data is owned by the instance.